<template>
  <b-modal
    id="modal-mobile-search"
    title="Buscar"
    hide-footer
    centered
    body-class="mobile-search-body"
  >
    <form action="" @submit.prevent="search()">
      <div class="form-group mb-0">
        <input
          type="search"
          class="form-control"
          placeholder="Buscar por producto o categoría"
          v-model="query"
        />
      </div>

      <section class="mt-4" v-if="getRecentSearches.length">
        <div class="d-flex justify-content-between align-items-center">
          <span class="title text-uppercase">Búsquedas recientes</span>
          <b-button
            variant="default"
            size="sm"
            class="small text-muted"
            @click="editing = !editing"
          >
            Editar
          </b-button>
        </div>
        <div>
          <SearchBadge
            :text="item"
            :show-remove="editing"
            class="mt-2 mr-3"
            v-for="item in getRecentSearches"
            :key="item"
          />
        </div>
      </section>

      <!-- <section class="mt-3">
        <span class="text-muted">Productos destacados</span>
      </section> -->
    </form>
  </b-modal>
</template>

<script>
import searchMixin from "@/mixins/search.js";

export default {
  name: "ModalSearch",
  mixins: [searchMixin],
};
</script>

<style lang="scss">
#modal-mobile-search {
  .title {
    font-size: 0.95em;
    text-transform: uppercase;
  }
}
</style>
